Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163148 - no /proc/scsi/qla2300 or /proc/scsi/qla2xxx found
Summary: no /proc/scsi/qla2300 or /proc/scsi/qla2xxx found
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-13 14:48 UTC by Peter Levart
Modified: 2015-01-04 22:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-26 09:04:47 UTC


Attachments (Terms of Use)

Description Peter Levart 2005-07-13 14:48:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Even though kernel module for Qlogic 2300 is loaded and I can see FC disks attached to it, there is no directory /proc/scsi/qla2300 or /proc/scsi/qla2xxx present.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.12-1.1390_FC4

How reproducible:
Always

Steps to Reproduce:
1. Connect a FC JBOD to a QLogic 2300 FC/PCI card and boot up 2.6.12-1.1390

2. See disks apear.

3. See there's no /proc/scsi/qla2300 or /proc/scsi/qla2xxx even though there is qla2300 module and qla2xxx with SCSI subsystem loaded.



Actual Results:  no /proc/scsi/qla????

Expected Results:  there should be /proc/scsi/qla????

Additional info:

A section of /var/log/messages at boot-up:

Jul 13 16:13:55 xx kernel: QLogic Fibre Channel HBA Driver
Jul 13 16:13:55 xx kernel: ACPI: PCI Interrupt 0000:03:09.0[A] -> GSI 27 (level, low) -> IRQ 193
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: Found an ISP2312, irq 193, iobase 0xf8818000
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: Configuring PCI space...
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: Configure NVRAM parameters...
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: Verifying loaded RISC code...
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: Waiting for LIP to complete...
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: LIP reset occured (f8f7).
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: LIP occured (f8f7).
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: LOOP UP detected (2 Gbps).
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: LOOP DOWN detected.
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: LIP reset occured (f8da).
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: LIP occured (f8f7).
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: LOOP UP detected (2 Gbps).
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0: Topology - (Loop), Host Loop address 0x8
Jul 13 16:13:55 xx kernel: scsi2 : qla2xxx
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.0:
Jul 13 16:13:55 xx kernel:  QLogic Fibre Channel HBA Driver: 8.00.02b5-k
Jul 13 16:13:55 xx kernel:   QLogic HP A6826-60001 -
Jul 13 16:13:55 xx kernel:   ISP2312: PCI-X (100 MHz) @ 0000:03:09.0 hdma+, host#=2, fw=3.03.08 IPX
Jul 13 16:13:55 xx kernel: ACPI: PCI Interrupt 0000:03:09.1[B] -> GSI 28 (level, low) -> IRQ 201
Jul 13 16:13:55 xx kernel: qla2300 0000:03:09.1: Found an ISP2312, irq 201, iobase 0xf881a000
Jul 13 16:13:56 xx kernel: qla2300 0000:03:09.1: Configuring PCI space...
Jul 13 16:13:56 xx kernel: qla2300 0000:03:09.1: Configure NVRAM parameters...
Jul 13 16:13:56 xx kernel:   Vendor: SEAGATE   Model: ST3146807FC       Rev: MS06
Jul 13 16:13:56 xx kernel:   Type:   Direct-Access                      ANSI SCSI revision: 03
Jul 13 16:13:56 xx kernel: SCSI device sde: 286749488 512-byte hdwr sectors (146816 MB)
Jul 13 16:13:56 xx kernel: SCSI device sde: drive cache: write through
Jul 13 16:13:56 xx kernel: SCSI device sde: 286749488 512-byte hdwr sectors (146816 MB)
Jul 13 16:13:56 xx kernel: SCSI device sde: drive cache: write through
Jul 13 16:13:56 xx kernel:  sde:
Jul 13 16:13:56 xx kernel: Attached scsi disk sde at scsi2, channel 0, id 0, lun 0
Jul 13 16:13:56 xx kernel: qla2300 0000:03:09.1: Verifying loaded RISC code...
Jul 13 16:13:56 xx kernel: qla2300 0000:03:09.1: Waiting for LIP to complete...
Jul 13 16:13:56 xx kernel: qla2300 0000:03:09.1: LIP reset occured (f8f7).
Jul 13 16:13:56 xx kernel: qla2300 0000:03:09.1: LIP occured (f8f7).
Jul 13 16:13:56 xx kernel: qla2300 0000:03:09.1: LOOP UP detected (2 Gbps).
Jul 13 16:13:56 xx kernel: qla2300 0000:03:09.1: Topology - (Loop), Host Loop address 0x18
Jul 13 16:13:56 xx kernel: scsi3 : qla2xxx
Jul 13 16:13:56 xx kernel: qla2300 0000:03:09.1:
Jul 13 16:13:56 xx kernel:  QLogic Fibre Channel HBA Driver: 8.00.02b5-k
Jul 13 16:13:56 xx kernel:   QLogic HP A6826-60001 -
Jul 13 16:13:56 xx kernel:   ISP2312: PCI-X (100 MHz) @ 0000:03:09.1 hdma+, host#=3, fw=3.03.08 IPX
Jul 13 16:13:56 xx kernel:   Vendor: SEAGATE   Model: ST3146807FC       Rev: MS06
Jul 13 16:13:56 xx kernel:   Type:   Direct-Access                      ANSI SCSI revision: 03
Jul 13 16:13:56 xx kernel: SCSI device sdf: 286749488 512-byte hdwr sectors (146816 MB)
Jul 13 16:13:56 xx kernel: SCSI device sdf: drive cache: write through
Jul 13 16:13:56 xx kernel: SCSI device sdf: 286749488 512-byte hdwr sectors (146816 MB)
Jul 13 16:13:56 xx kernel: SCSI device sdf: drive cache: write through
Jul 13 16:13:56 xx kernel:  sdf:<6>md: raid1 personality registered as nr 3
Jul 13 16:13:56 xx kernel:
Jul 13 16:13:56 xx kernel: Attached scsi disk sdf at scsi3, channel 0, id 0, lun 0



root@xx log]# ls -l /proc/scsi
total 0
dr-xr-xr-x  2 root root 0 Jul 13 16:33 aic79xx
-r--r--r--  1 root root 0 Jul 13 16:33 device_info
-r--r--r--  1 root root 0 Jul 13 16:33 scsi
dr-xr-xr-x  2 root root 0 Jul 13 16:33 sg



[root@xx log]# lsmod | grep qla
qla2300               127169  0
qla2xxx                98769  1 qla2300
scsi_transport_fc      31425  1 qla2xxx
scsi_mod              136329  5 sg,qla2xxx,scsi_transport_fc,aic79xx,sd_mod

Comment 1 Dave Jones 2005-07-15 21:05:06 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.


Comment 2 Peter Levart 2005-07-18 14:59:49 UTC
Tried with 2.6.12-1.1398_FC4 but I still can't see any /proc/scsi/qla2300 
or /proc/scsi/qla2xxx directories. 
 
Peter 

Comment 3 Need Real Name 2005-07-27 16:34:35 UTC
I am also experiencing this problem.  If there is something I can do to help
troubleshoot this bug, just let me know.  I could be wrong, but I believe this
bug prevents the tools from QLogic from working properly. 

Comment 4 Dave Jones 2005-08-26 09:04:47 UTC
This was removed by the upstream maintainers.
Bring it up on linux-scsi@vger.kernel.org if you want to discuss it.



Note You need to log in before you can comment on or make changes to this bug.